//
// Copyright (c) 2014, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Scheduling.WinForms.Samples.CS.AdvancedItemDrawing
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			calendar.ItemSettings.ShadowStyle = ShadowStyle.None;
			calendar.ItemSettings.UseExtendedStyles = State.Disabled;
			calendar.ItemSettings.Style.TextLeftMargin = 2;
			calendar.ItemSettings.Style.TextTopMargin = 2;
			calendar.ItemSettings.Style.TextRightMargin = 2;
			calendar.ItemSettings.Style.TextBottomMargin = 2;
			calendar.ItemSettings.SelectedItemStyle.TextLeftMargin = 2;
			calendar.ItemSettings.SelectedItemStyle.TextTopMargin = 2;
			calendar.ItemSettings.SelectedItemStyle.TextRightMargin = 2;
			calendar.ItemSettings.SelectedItemStyle.TextBottomMargin = 2;
			calendar.EnableOptimization = true;

			// Ensure we are createing items of the appropriate type
			calendar.InteractiveItemType = typeof(RoundAppointment);

			// Register our class for serialization
			Schedule.RegisterItemClass(typeof(RoundAppointment), "roundapp", 1);

			// Create some initial items
			RoundAppointment app = null;

			app = new RoundAppointment();
			app.StartTime = calendar.Date.Date + TimeSpan.FromHours(2.5);
			app.EndTime = calendar.Date.Date + TimeSpan.FromHours(7);
			app.HeaderText = "Custom Appointment";
			app.DescriptionText = "<b>MindFusion.Scheduling</b> is a software component that can be used to present calendars and timetables to users and let them edit the schedule information interactively. It is implemented as a .NET Windows Forms control and can be easily integrated into any application targeting the <i>Microsoft</i> .NET platform. By providing your software with ready to use capabilities for visualizing and editing schedule data, <b>MindFusion.Scheduling</b> saves you from hundreds of hours of coding and debugging efforts.";
			calendar.Schedule.Items.Add(app);

			app = new RoundAppointment();
			app.StartTime = calendar.Date.Date + TimeSpan.FromHours(6);
			app.EndTime = calendar.Date.Date + TimeSpan.FromHours(8.5);
			app.HeaderText = "Month Range View";
			app.DescriptionText = "Set the <u><color=#0000ff>CurrentView</color></u> property of the <u><color=#0000ff>Calendar</color></u> class to MonthRange to select the month range view. This view displays a range of months or years. Each month represents a grid of day cells, which display the day number and the schedule items set to occur on the specific date. The month in the view can be scrolled back or forth in time by an arbitrary interval using the navigation buttons in the view header.";
			calendar.Schedule.Items.Add(app);

			app = new RoundAppointment();
			app.StartTime = calendar.Date.Date + TimeSpan.FromHours(3);
			app.EndTime = calendar.Date.Date + TimeSpan.FromHours(5.5);
			app.HeaderText = "Custom Themes";
			app.DescriptionText = "Since version 4.2 <b>MindFusion.Scheduling</b> enables the creation of user-defined themes. The <u><color=#0000ff>Theme</color></u> class is now abstract and can be inherited. In order to create a custom theme, you have to define a new class derived from <u><color=#990099>Theme</color></u> and implement all abstract properties.";
			calendar.Schedule.Items.Add(app);

			app = new RoundAppointment();
			app.StartTime = calendar.Date.Date + TimeSpan.FromHours(0.5);
			app.EndTime = calendar.Date.Date + TimeSpan.FromHours(2);
			app.HeaderText = "Recurrence";
			app.DescriptionText = "Schedule items can recur in time, following a specific recurrence pattern. For example an event could be set to occur each <b><i>Monday</i></b>, on the third day of each month, and so on.";
			calendar.Schedule.Items.Add(app);

			app = new RoundAppointment();
			app.StartTime = calendar.Date.Date;
			app.EndTime = calendar.Date.Date;
			app.AllDayEvent = true;
			app.HeaderText = "Advanced Item Drawing";
			app.DescriptionText = "";
			calendar.Schedule.Items.Add(app);
		}
	}
}
